Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.svg.inkscape
Class UseProcessor

    java.lang.Object
      org.newdawn.slick.svg.inkscape.UseProcessor

All Implemented Interfaces:
  ElementProcessor

    public class UseProcessor

extends java.lang.Object
implements ElementProcessor

Processor for the "use", a tag that allows references to other elements and cloning.

Author:
  kevin

Constructor Summary
`UseProcessor()`

Method Summary
`boolean` | `handles(org.w3c.dom.Element element)` Check if this processor handles the element specified
`void` | `process(Loader loader, org.w3c.dom.Element element, Diagram diagram, Transform transform)` Process a document extracting all the elements that the processor is interested in and producing appropriate diagram components for the element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UseProcessor

    public UseProcessor()

Method Detail

### handles

    public boolean handles(org.w3c.dom.Element element)

  Description copied from interface: `ElementProcessor`
  Check if this processor handles the element specified

  Specified by:
    `handles` in interface `ElementProcessor`
  Parameters:
    `element` - The element to check
  Returns:
    True if this processor can handle the given element
  See Also:
    `ElementProcessor.handles(org.w3c.dom.Element)`

### process

    public void process(Loader loader,
                        org.w3c.dom.Element element,
                        Diagram diagram,
                        Transform transform)
                 throws ParsingException

  Description copied from interface: `ElementProcessor`
  Process a document extracting all the elements that the processor is interested in and producing appropriate diagram components for the element.

  Specified by:
    `process` in interface `ElementProcessor`
  Parameters:
    `loader` - The loader/context of the parsing
    `element` - The element to be processed
    `diagram` - The diagram to be built
    `transform` - The transform to apply to all elements at this level
  Throws:
    `ParsingException` - Indicates an invalid content to an element
  See Also:
    `ElementProcessor.process(org.newdawn.slick.svg.Loader, org.w3c.dom.Element, org.newdawn.slick.svg.Diagram, org.newdawn.slick.geom.Transform)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.